> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Related Incident



## OpenAPI

````yaml POST /api/v1/response/incidents/{incidentId}/related
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/response/incidents/{incidentId}/related:
    post:
      tags:
        - response
      summary: Link a related incident
      operationId: RelatedIncidentController_add_v1
      parameters:
        - name: incidentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddRelatedIncidentDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    AddRelatedIncidentDto:
      type: object
      properties:
        relatedIncidentId:
          type: string
        relationshipType:
          type: string
          enum:
            - related
            - duplicate
            - parent
            - child
      required:
        - relatedIncidentId
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````